Main Page Groups Namespaces

# sigc::internal::slot_call2< T_functor, T_return, T_arg1, T_arg2 > Struct Template Reference

Abstracts functor execution. More...

List of all members.

## Static Public Member Functions
T_return | call_it (slot_rep* rep, typename type_trait<T_arg1>::take a_1, typename type_trait<T_arg2>::take a_2)
| Invokes a functor of type `T_functor`.
hook | address ()
| Forms a function pointer from call_it().

## Detailed Description

### template <class T_functor, class T_return, class T_arg1, class T_arg2>
struct sigc::internal::slot_call2< T_functor, T_return, T_arg1, T_arg2 >

Abstracts functor execution.

call_it() invokes a functor of type T_functor with a list of parameters whose types are given by the template arguments. address() forms a function pointer from call_it().

The following template arguments are used:

- T_functor The functor type.
- T_return The return type of call_it().
- T_arg1 Argument type used in the definition of call_it().
- T_arg2 Argument type used in the definition of call_it().

## Member Function Documentation

template <class T_functor, class T_return, class T_arg1, class T_arg2>
hook sigc::internal::slot_call2<T_functor, T_return, T_arg1, T_arg2>::address | ( |  | ) | `[inline, static]`

| Forms a function pointer from call_it(). Returns: A function pointer formed from call_it().

template <class T_functor, class T_return, class T_arg1, class T_arg2>
T_return sigc::internal::slot_call2<T_functor, T_return, T_arg1, T_arg2>::call_it | ( | slot_rep* | rep,
|  | typename type_trait<T_arg1>::take | a_1,
|  | typename type_trait<T_arg2>::take | a_2
| ) | `[inline, static]`

  | Invokes a functor of type `T_functor`. Parameters:
  | rep | slot_rep object that holds a functor of type `T_functor`.
  | _A_a1 | Argument to be passed on to the functor.
  | _A_a2 | Argument to be passed on to the functor.
Returns: The return values of the functor invocation.

The documentation for this struct was generated from the following file:

- functors/slot.h